# Uses of Class
org.apache.commons.lang.CharRange

Packages that use CharRange
Package
Description
org.apache.commons.lang
Provides highly reusable static utility methods, chiefly concerned with adding value to the `java.lang` classes.

## Uses of CharRange in org.apache.commons.lang

Methods in org.apache.commons.lang that return CharRange
Modifier and Type
Method
Description
`CharRange[]`
CharSet.`getCharRanges()`
Gets the internal set as an array of CharRange objects.
`static CharRange`
CharRange.`is(char ch)`
Constructs a `CharRange` over a single character.
`static CharRange`
CharRange.`isIn(char start, char end)`
Constructs a `CharRange` over a set of characters.
`static CharRange`
CharRange.`isNot(char ch)`
Constructs a negated `CharRange` over a single character.
`static CharRange`
CharRange.`isNotIn(char start, char end)`
Constructs a negated `CharRange` over a set of characters.
Methods in org.apache.commons.lang with parameters of type CharRange
Modifier and Type
Method
Description
`boolean`
CharRange.`contains(CharRange range)`
Are all the characters of the passed in range contained in this range.